/*
 *   errormsg.c
 *
 *   This file is part of the ttf2pk package.
 *
 *   Code <-> Postscript tables
 *
 *      Frederic Loyer <loyer@ensta.fr>
 *      Werner Lemberg <a7971428@unet.univie.ac.at>
 */

#include <stdio.h>
#include <stdarg.h>


/*
 *   Print error message and quit.
 */

void
oops(const char *message, ...)
{
  va_list args;


  va_start(args, message);
  fprintf(stderr, "ERROR: ");
  vfprintf(stderr, message, args);
  va_end(args);
  putc('\n', stderr);

  exit(1);
}


void
warning(const char *message, ...)
{
  va_list args;


  va_start(args, message);
  fprintf(stderr, "WARNING: ");
  vfprintf(stderr, message, args);
  va_end(args);
  putc('\n', stderr);
}


/* end */
